:root {
    --gradient: linear-gradient(-45deg, #e81cff 0%, #40c9ff 100%);
    --max-width: 800px;
}

body {
    font-family: Arial, sans-serif;
    background-color: #121212;
    color: #fff;
    margin: 0;
    padding: 0;
    height: 100%;
}

canvas {
    position: absolute;
    z-index: -999 !important;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.container {
    text-align: center;
    width: 100%;
}

h1 {
    font-size: 4em;
    margin-bottom: 0;
    color: #FFEB3B;
    text-shadow: 0 0 10px #ffeb3b73;
}

h2 {
    font-size: 2em;
    color: #FFEB3B;
    text-shadow: 0 0 2px #ffeb3b73;
}

h1, h2 {
    background: var(--gradient);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
}

p {
    font-size: 1.5em;
    color: #B0BEC5;
}

a {
    color: #03A9F4;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

.construction {
    margin-top: 50px;
    max-width: 100%;
}

.projects-container {
    overflow-x: auto;
    width: 100%;
}

.projects {
    display: flex;
    justify-content: center;
    width: fit-content;
    gap: 4em;
    padding: 5em;
}

.projects a:hover {
    text-decoration: none;
}

/* From Uiverse.io by gharsh11032000 */
.card {
    position: relative;
    width: 190px;
    height: 254px;
    background-color: #000;
    display: flex;
    flex-direction: column;
    justify-content: end;
    padding: 12px;
    border-radius: 8px;
    cursor: pointer;
    box-sizing: border-box;
    align-items: center;
}

.card::before {
    content: '';
    position: absolute;
    inset: 0;
    left: -5px;
    margin: auto;
    width: 200px;
    height: 264px;
    border-radius: 10px;
    background: var(--gradient);
    z-index: -10;
    pointer-events: none;
    transition: all 0.6s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}

.card::after {
    content: "";
    z-index: -1;
    position: absolute;
    inset: 0;
    background: var(--gradient);
    transform: translate3d(0, 0, 0) scale(0.95);
    filter: blur(20px);
}

.card .card-border-top {
    width: 60%;
    height: 8px;
    background: var(--gradient);
    border-radius: 0px 0px 15px 15px;
    position: absolute;
    top: 0;
}

.card .heading {
    font-size: 20px;
    text-transform: capitalize;
    font-weight: 700;
}

.card img {
    overflow: hidden;
    height: 4em;
    width: 4em;
    border-radius: 0.5em;
    position: relative;
    z-index: 1;
}

.card .image-container {
    position: relative;
}

.card .image-container .gradient {
    position: absolute;
    top: 50%;
    left: 50%;
    padding: 0.5em;
    transform: translate(-50%, -50%);
    width: 4em;
    height: 4em;
    background: var(--gradient);
    mix-blend-mode: color;
    pointer-events: none;
    z-index: 2;
    transition: all 0.6s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}

.card p:not(.heading) {
    font-size: 14px;
}

.card p:last-child {
    color: #e81cff;
    font-weight: 600;
}

.card:hover::after {
    filter: blur(30px);
}

.card:hover::before {
    transform: rotate(-90deg) scaleX(1.34) scaleY(0.77);
}
.card:hover .image-container .gradient {
    transform: rotate(-90deg) translate(50%, -50%);
}

@media (min-width: 1024px) {
    .projects-container {
        display: flex;
        justify-content: center;
    }
}
